<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.tuoheng.mapper.information.InspectionMapper">

    <resultMap id="BaseResultMap" type="com.tuoheng.model.entity.Inspection">
            <id property="id" column="id" jdbcType="INTEGER"/>
            <result property="code" column="code" jdbcType="VARCHAR"/>
            <result property="name" column="name" jdbcType="VARCHAR"/>
            <result property="inspectionWay" column="inspection_way" jdbcType="VARCHAR"/>
            <result property="airport" column="airport" jdbcType="VARCHAR"/>
            <result property="inspectionTime" column="inspection_time" jdbcType="TIMESTAMP"/>
            <result property="duration" column="duration" jdbcType="VARCHAR"/>
            <result property="status" column="status" jdbcType="TINYINT"/>
            <result property="clientId" column="client_id" jdbcType="VARCHAR"/>
            <result property="industry" column="industry" jdbcType="VARCHAR"/>
            <result property="tenantUsername" column="tenant_username" jdbcType="VARCHAR"/>
            <result property="srtUrl" column="srt_url" jdbcType="VARCHAR"/>
            <result property="videoUrl" column="video_url" jdbcType="VARCHAR"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
            <result property="createUser" column="create_user" jdbcType="INTEGER"/>
            <result property="updateUser" column="update_user" jdbcType="INTEGER"/>
            <result property="mark" column="mark" jdbcType="TINYINT"/>
            <result property="inspectionType" column="inspection_type" jdbcType="INTEGER"/>
            <result property="flightMileage" column="flight_Mileage" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,code,name,
        inspection_way,airport,inspection_time,
        duration,status,client_id,
        industry,tenant_username,srt_url,
        video_url,create_time,update_time,
        create_user,update_user,mark,
        inspection_type,flight_Mileage
    </sql>
</mapper>
